[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: OpenShift Origin and Puppet (2) on RHEL in EC2?



Hi Mark,
You are just the first to report the problem since we added puppet2 to that repo. I have added ruby-augeas and ruby-shadow to the repo.
I have just put them up there, so you'll need to do a
  yum clean all
before you see them.

Troy

On 09/05/2013 08:30 AM, Mark Lamourine wrote:
I'm working on trying to understand and then hopefully improve the Puppet installation stuff on RHEL for Origin and Enterprise.

I've got an EC2 instance running RHEL6.3 and one running RHEL6.4.  I've added the openshift-origin-deps repo and when I try to install the puppet2 from there I get this:

Error: Package: puppet2-2.7.23-1.el6oso.noarch (openshift-origin-deps)
            Requires: ruby(augeas)
Error: Package: puppet2-2.7.23-1.el6oso.noarch (openshift-origin-deps)
            Requires: ruby(shadow)

I have Augeas installed, but I can't find the augeas-ruby or shadow-ruby packages this seems to imply needing.

openshift-origin-deps baseurl=http://mirror.openshift.com/pub/origin-server/nightly/rhel-6/dependencies/x86_64/

Am I looking in the wrong place?

- Mark



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]